Export saved objects
Server:
https://{kibana_url}
- POST /api/saved_objects/_export
- POST /s/{space_id}/api/saved_objects/_export
Refer to Spaces for more information.
Retrieve sets of saved objects that you want to import into Kibana.
You must include type or objects in the request body.
Exported saved objects are not backwards compatible and cannot be imported into an older version of Kibana.
NOTE: The savedObjects.maxImportExportSize configuration setting limits the number of saved objects which may be exported.
Request
-
excludeExportDetailsboolean · default: false -
Do not add export details entry at the end of the stream.
-
includeReferencesDeepboolean -
Includes all of the referenced objects in the exported objects.
-
objectsobject -
A list of objects to export.
-
typestring | string -
The saved object types to include in the export. Use
*to export all the types.
Responses
Indicates a successful call.
Response Type: object
Bad request.
-
errorrequired -
Values:
Bad Request -
messagestringrequired -
statusCoderequired -
Values:
400